Fehler nach apt-upgrade (Mosquitto)

Allgemeine Informationen zum Nachbau und zum Forum.
PV-Monitorung / PV Überwachung

Moderator: Ulrich

Antworten
Kilowatt
Beiträge: 9
Registriert: Mo 6. Jul 2020, 22:44
Danksagung erhalten: 1 Mal

Fehler nach apt-upgrade (Mosquitto)

Beitrag von Kilowatt »

Heute habe ich mal wieder ein Upgrade auf dem Raspi laufen lassen.

Code: Alles auswählen

pi@solaranzeige:~ $ sudo apt-update
pi@solaranzeige:~ $ sudo apt-upgrade
Die aktuelle Version der Solaranzeige ist bei mir:
Software Version 4.7.1d update März 2021

Beim Upgrade wurde auch eine neue Version von Mosquitto installiert:
Holen:3 https://repo.mosquitto.org/debian buster/main armhf mosquitto-clients armhf 2.0.9-0mosquitto1~buster1 [106 kB]

Die Installation dieser Version ist leider fehlgeschlagen:
dpkg: Fehler beim Bearbeiten des Paketes mosquitto (--configure):
»installiertes mosquitto-Skript des Paketes post-installation«-Unterprozess gab den Fehlerwert 1 zurück

Im Grafana-Dashboard wurden danach auch keine Daten mehr hinzugefügt/aktualisiert.
In der Tasmota-Konsole vom Sonoff POW R2 konnte ich dann auch sehen, das keine MQTT-Verbindung mehr zur Solaranzeige aufgebaut werden konnte.

Code: Alles auswählen

14:11:22.987 MQT: Verbindungsversuch...
14:11:23.199 MQT: Verbindung fehlgeschlagen aufgrund von 192.168.178.53:1883, rc -2. Wiederversuch in 120 s
Nachdem ich das Mosquitto-Paket wieder auf die alte Version zurück gesetzt habe, hat alles wieder funktioniert. Falls es mal jemand braucht, so geht es:

Code: Alles auswählen

#zeigt die Versionen an:
pi@solaranzeige:~ $ sudo apt-cache policy mosquitto

#die letzte funktionierende Version installieren
pi@solaranzeige:~ $ sudo apt-get install mosquitto=1.6.12-0mosquitto1~buster1  

# die erneute Aktualisierung verhindern:
pi@solaranzeige:~ $ sudo apt-mark hold mosquitto

# auf halt gesetzte Pakete abfragen:
pi@solaranzeige:~ $ sudo apt-mark showhold
mosquitto

# Wenn das Problem gelöst ist/wurde (@Ulrich) die Aktualisierung wieder zulassen:
pi@solaranzeige:~ $ sudo apt-mark unhold mosquitto

Theslowman
Beiträge: 30
Registriert: Sa 1. Aug 2020, 13:31
Wohnort: 55278 Dalheim

Re: Fehler nach apt-upgrade (Mosquitto)

Beitrag von Theslowman »


Aquarius
Beiträge: 14
Registriert: Di 18. Feb 2020, 10:48
Wohnort: Niederrhein
Hat sich bedankt: 2 Mal

Re: Fehler nach apt-upgrade (Mosquitto)

Beitrag von Aquarius »

Ich erhalte folgende (Fehler-) Meldung :

"pi@solaranzeige:~ $ sudo apt-get update
Holen:1 http://archive.raspberrypi.org/debian buster InRelease [32,9 kB]
Holen:2 http://raspbian.raspberrypi.org/raspbian buster InRelease [15,0 kB]
Holen:3 https://repos.influxdata.com/debian stretch InRelease [4.738 B]
Holen:4 https://repo.mosquitto.org/debian buster InRelease [12,4 kB]
Holen:5 https://repos.influxdata.com/debian stretch/stable armhf Packages [926 B]
Holen:6 http://archive.raspberrypi.org/debian buster/main armhf Packages [367 kB]
Fehl:4 https://repo.mosquitto.org/debian buster InRelease
Die folgenden Signaturen waren ungültig: EXPKEYSIG 61611AE430993623 Mosquitto Apt Repository <repo@mosquitto.org>
Es wurden 421 kB in 2 s geholt (188 kB/s).
Paketlisten werden gelesen... Fertig
W: Während der Überprüfung der Signatur trat ein Fehler auf. Das Depot wurde nicht aktualisiert und die vorherigen Indexdateien werden verwendet. GPG-Fehler: https://repo.mosquitto.org/debian buster InRelease: Die folgenden Signaturen waren ungültig: EXPKEYSIG 61611AE430993623 Mosquitto Apt Repository <repo@mosquitto.org>
W: Fehlschlag beim Holen von https://repo.mosquitto.org/debian/dists ... /InRelease Die folgenden Signaturen waren ungültig: EXPKEYSIG 61611AE430993623 Mosquitto Apt Repository <repo@mosquitto.org>
W: Einige Indexdateien konnten nicht heruntergeladen werden. Sie wurden ignoriert oder alte an ihrer Stelle benutzt."

Das von Ulrich beschriebene Verfahren klappt ebenfalls nicht, siehe in dem von @TheSlowman verlinkter Tread ! :cry:

Gruß,

Joachim.

Antworten